/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2009,2010 by Luigi Ziviani <ziviani_luigi@yahoo.it>.        *
* All Rights Reserved.                                                          *
*********************************************************************************
* Id: ScanVirusDialog.h,   v 1.0                     2008/01/01                 *
*********************************************************************************
* This program is free software; you can redistribute it and/or modify          *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* This program is distributed in the hope that it will be useful,               *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/
#ifndef SCANVIRUSDIALOG_H
#define SCANVIRUSDIALOG_H

// #define FOX_16
#define FOX_17

class ScanVirusDialog : public FXDialogBox {
  FXDECLARE(ScanVirusDialog)

private:
  ScanVirusDialog(){}
  ScanVirusDialog(const ScanVirusDialog&);

protected:
  FXIcon *accepticon;
  FXIcon *cancelicon;
  FXIcon *scanicon;
  FXIcon *moveupicon;

  FXVerticalFrame 	*dialogframe;
  FXHorizontalFrame *lineframe;
  FXHorizontalFrame *viewframe;
  FXVerticalFrame 	*legendframe;
  FXHorizontalFrame *progressframe;
  FXHorizontalFrame *buttonsframe;

  FXDirList  	*dirlist;
  FXFileList	*filelist;
  FXList		*viewlist;
  FXTextField	*linelist;

  FXSplitter 	*splitterh;
  FXSplitter 	*splitterv;
  FXProgressBar *progressbar;

  FXString  	currentdir;
  FXString 		filename;

  FXbool initclamav;

public:
  enum{
    ID_SCAN=FXMainWindow::ID_LAST,
	ID_CANCEL,
	ID_FILELIST,
	ID_DIRLIST,
    ID_LAST
    };


public:
  // Message handlers
  long onCmdCancel(FXObject*,FXSelector,void*);
  long onCmdScan(FXObject*,FXSelector,void*);
  long onCmdDirlist(FXObject*,FXSelector,void* ptr);
  long onCmdFilelist(FXObject*,FXSelector,void* ptr);


public:
  // Construct dialog
  ScanVirusDialog(FXWindow *owner,const FXString& name);

  int execScanVirus(FXFileList* panel, FXbool init);
  void scanFileName(int ret, const char *virname, struct cl_engine *engine, FXString& filetoscan, FXint i);

  // Destroy
  virtual ~ScanVirusDialog();
  };

#endif
